On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteUnique code identifier of the billing entity
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/billing-entities/acme_inc"{
"id": "b8e2a656-04eb-441c-a6b2-bfab9e2a0f7c",
"code": "acme_inc",
"name": "Acme Inc",
"default_currency": "USD",
"finalize_zero_amount_invoice": true,
"is_default": true,
"address": {
"line1": "123 Business Ave",
"city": "San Francisco",
"state": "CA",
"country": "US",
"postal_code": "94107"
},
"legal_name": "Acme Corporation Inc.",
"legal_number": "US123456789",
"email": "[email protected]",
"timezone": "America/Los_Angeles",
"created_at": "2023-01-15T00:00:00Z",
"updated_at": "2023-01-15T00:00:00Z",
"taxes": [
{
"id": "d4e3c878-16fd-663e-c8d4-dgab0f4c2g9e",
"name": "California State Sales Tax",
"code": "us_ca_sales_tax_8_25",
"description": "California State Sales Tax",
"rate": "8.25",
"created_at": "2023-01-15T00:00:00Z"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}